#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: criterion
version: 1.5.2.0
id: criterion-1.5.2.0-22ndUsXbecOCkBSbelTnj8
key: criterion-1.5.2.0-22ndUsXbecOCkBSbelTnj8
license: BSD-3-Clause
copyright: 2009-2016 Bryan O'\''Sullivan and others
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: http://www.serpentine.com/criterion
synopsis: Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.
    .
    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.
    .
    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.
category: Development, Performance, Testing, Benchmarking
abi: dae21785c22fe8e56c2a608db3d4e6a0
exposed: True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types
hidden-modules: Criterion.Monad.Internal Paths_criterion
import-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.5.2.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.5.2.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-criterion
hs-libraries: HScriterion-1.5.2.0-22ndUsXbecOCkBSbelTnj8
depends:
    aeson-1.4.1.0-DC05NYridW9CuV0L6TLprZ
    ansi-wl-pprint-0.6.8.2-IrT08V31eRK8A0Je2S5END base-4.11.1.0
    base-compat-batteries-0.10.1-4V5A58afvtDNihm4ctP0g binary-0.8.5.1
    bytestring-0.10.8.2 cassava-0.5.1.0-4Hv7RdXr6eYGO02f7Vtz8l
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    criterion-measurement-0.1.1.0-AAZlu7lcoW99eNy8M3s7EB
    deepseq-1.4.3.0 directory-1.3.1.5
    exceptions-0.10.0-IRO0p79DXGKGDsbbDc50a8 filepath-1.4.2
    Glob-0.9.3-Cjgy1gBQGreBHdDpbFbOC0
    microstache-1.0.1.1-aeGPqY2pXW68Pzve4DMQ1
    js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ
    js-jquery-3.3.1-HazAkun8MsrJBhlfRZb7YN mtl-2.2.2
    mwc-random-0.14.0.0-G3WB7Ur1ZQJ5WcBeaI4Sue
    optparse-applicative-0.14.3.0-3858SIdIcA6IDhFDNu1Ke4
    parsec-3.1.13.0 statistics-0.14.0.2-6eIbGxIGOk1B8w2WaaGfUh
    text-1.2.3.0 time-1.8.0.2 transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    vector-algorithms-0.8.0.1-3PhzBXZDvVb87J9r2XsGYo
abi-depends: aeson-1.4.1.0-DC05NYridW9CuV0L6TLprZ=2dabf93ee02d5485cbe316a08ea94024
             ansi-wl-pprint-0.6.8.2-IrT08V31eRK8A0Je2S5END=f3cad6fdb79194c1feac8d9ccb8ffd58
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base-compat-batteries-0.10.1-4V5A58afvtDNihm4ctP0g=ed9d8b88e833d12ae31df83907c55a3a
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cassava-0.5.1.0-4Hv7RdXr6eYGO02f7Vtz8l=2602352440d3525e453c31dde73ecaab
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=79049f84d9ede2f2865e34c7a6dfc923
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             criterion-measurement-0.1.1.0-AAZlu7lcoW99eNy8M3s7EB=02183c0e75fbc4525fe1031d803dc3a5
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             exceptions-0.10.0-IRO0p79DXGKGDsbbDc50a8=e9779fb859fee3584d68df46d12eac41
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             Glob-0.9.3-Cjgy1gBQGreBHdDpbFbOC0=d043ffba096c687ce6042e6fddfabca1
             microstache-1.0.1.1-aeGPqY2pXW68Pzve4DMQ1=f3fb96dea891f0b4e7073b7f3f495dbd
             js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ=682f148b16a4228534fb18ce1bf6b5c5
             js-jquery-3.3.1-HazAkun8MsrJBhlfRZb7YN=c5e6da3c243edf90b9ba2e5ce6625f13
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             mwc-random-0.14.0.0-G3WB7Ur1ZQJ5WcBeaI4Sue=f9d32936c53f4ae9aeed1c5ddd994c91
             optparse-applicative-0.14.3.0-3858SIdIcA6IDhFDNu1Ke4=aab631eb7769f669f53846ea7d62d855
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             statistics-0.14.0.2-6eIbGxIGOk1B8w2WaaGfUh=0c41d0fc749bba493a383a608df97f96
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=197a030c492741542d6f49bc76370bb8
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             vector-algorithms-0.8.0.1-3PhzBXZDvVb87J9r2XsGYo=de5a7a1ce223d5df6b583bb5d27dfbb9
haddock-interfaces: /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html: /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

